ROOT_DIR = $(shell pwd)
TOOLCHAIN=/opt/toolchains/uclibc-crosstools-gcc-4.2.3-3/usr
CROSS_COMPILE = $(TOOLCHAIN)/bin/mips-linux-uclibc-

BUILD_DIR = $(ROOT_DIR)/../..
#<product model>_<firmware version>_<region>_src.tar.bz2.zip

ifeq ($(PROJECT),DGND3300_16M)
	model=/DGND3300_V$(VER)_$(SUB_VER)_src
endif

ifeq ($(PROJECT),DGND3300B_16M)
	model=/DGND3300B_V$(VER)_$(SUB_VER)_src
endif

ifeq ($(PROJECT),DGND3300NA_16M)
	model=/DGND3300_V$(VER)_$(SUB_VER)NA_src
endif

ifeq ($(PROJECT),DGND3300_NA)
	model=/DGND3300_V$(VER)_$(SUB_VER)NA_src
endif

GPL_DIR = $(BUILD_DIR)/$(model)
GPL_APPS_DIR = $(BUILD_DIR)/$(model)/apps
GPL_TOOLS_DIR = $(BUILD_DIR)/$(model)/tools
GPL_KERNEL_DIR = $(BUILD_DIR)/$(model)/kernel/linux
KERNEL_SRC = $(ROOT_DIR)/../Kernel/bcm963xx/kernel
LIB_SRC = $(ROOT_DIR)/tools/uClibc-0.9.28

BRCM_BOARD =bcm963xx
SHARED_DIR = $(BUILD_DIR)/$(model)/shared
BRCMDRIVERS_DIR = $(BUILD_DIR)/$(model)/bcmdrivers
INC_BRCMSHARED_PUB = $(SHARED_DIR)/opensource
INC_BRCMSHARED_PUB_PATH=$(SHARED_DIR)/opensource/include
INC_BRCMSHARED_PRIV_PATH=$(SHARED_DIR)/broadcom/include
INC_BRCMBOARDPARMS_PATH=$(SHARED_DIR)/opensource/boardparms
INC_BRCMDRIVER_PUB_PATH=$(BRCMDRIVERS_DIR)/opensource/include
INC_FLASH_PATH=$(SHARED_DIR)/opensource/flash
INC_ADSLDRV_PATH=$(BRCMDRIVERS_DIR)/broadcom/char/adsl/bcm96358
INC_BRCMDRIVER_PRIV_PATH = $(BRCMDRIVERS_DIR)/broadcom/include

K_KERNEL = $(ROOT_DIR)/../Kernel/$(BRCM_BOARD)
K_SHARED_DIR = $(K_KERNEL)/shared
K_BRCMDRIVERS_DIR =  $(K_KERNEL)/bcmdrivers
K_BRCMSHARED_PUB = $(K_SHARED_DIR)/opensource
K_BRCMDRIVER_PUB = $(K_BRCMDRIVERS_DIR)/opensource
K_ADSLDRV_PATH = $(K_BRCMDRIVERS_DIR)/broadcom/char/adsl/bcm96358
K_BRCMDRIVERS_PRIV_PATH = $(K_BRCMDRIVERS_DIR)/broadcom/include/$(BRCM_BOARD)
#K_BRCMSHARED_PUB_PATH = $(K_SHARED_DIR)/opensource/include
#K_BRCMSHARED_PRIV_PATH = $(K_SHARED_DIR)/broadcom/include
#K_BRCMBOARDPARMS_PATH = $(K_SHARED_DIR)/opensource/boardparms
#K_BRCMDRIVER_PUB_PATH = $(K_BRCMDRIVERS_DIR)/opensource/include
#K_FLASH_PATH = $(K_SHARED_DIR)/opensource/flash
#K_ADSLDRV_PATH = $(K_BRCMDRIVERS_DIR)/broadcom/char/adsl/impl1

export \
TOOLCHAIN \
CROSS_COMPILE \
BRCM_BOARD \
BUILD_DIR \
SHARED_DIR \
BRCMDRIVERS_DIR \
INC_BRCMDRIVER_PRIV_PATH \
INC_BRCMSHARED_PUB_PATH \
INC_BRCMSHARED_PRIV_PATH \
INC_BRCMBOARDPARMS_PATH \
INC_BRCMDRIVER_PUB_PATH \
INC_FLASH_PATH \
INC_ADSLDRV_PATH \


